%==========================================================
% (c) 2007+ Robert Grepl, FME Brno University of Technology
%  grepl@fme.vutbr.cz, http://www.umt.fme.vutbr.cz/~rgrepl/
%==========================================================

% Define parameters Maxon RE36
cfi = 0.0354;  %
J_m = 67.7e-7;  %
R_m = 1.11 ;    % Ohm
L_m = 0.2e-3;   % 

m_m = 1; % [kg]  - rotor rotate only - not important value

% Define mechanical part (excentricity)
m_1 = 2.5; % [kg]
R_1 = 0.005; %[m]
exc = 0.07 % [m]  (optional)
J_1 = 2/5*m_1*R_1^2;


%J_1 = m_1 * excentr^2;
%J_sum = [0 0 0; 0 0  0; 0 0 J_m+J_1];


%J_sum_CG = [J_m* excentr^2 0 0; 0 J_m* excentr^2  0; 0 0 0];


phi_ini = 0; % [rad]
omega_ini = 0; %[rad/s]
U_const = 24; %[V]