%==========================================================
% (c) 2007+ Robert Grepl, FME Brno University of Technology
%  grepl@fme.vutbr.cz, http://www.umt.fme.vutbr.cz/~rgrepl/
%==========================================================
clc, clear

% PARAMETERS INITIALIZATION
% Define parameters Maxon RE36 and planet gear
cfi = 0.0354;  %
Jm = 67.7e-7;  %
Rm = 1.11 ;    % Ohm
Lm = 0.2e-3;   % 
I12 = 0.8e-7  %0.8 g cm^2  - planet gear GP32C
i12 = 13.8
%----------------------------------------------------------

% Define mechanical part 
% inertia of cylinder: I = mR^2/2
I2 = 0.05 * 0.05^2 /2 ;
I3 = 2*I2;
I4 =  3*I2;
m5 = 15.9 ;
i34 = 4.59;  %  r2 = 0.050 m , r3 = 0.150 m
r4 = 0.79;

% Define parameters of coupling
b = 9.9856 ;
k = 1250;
%-------------------
% Constants according to equations:
Ired12 = Jm + I12 + I2/(i12^2);


mred35 = I3 * i34^2/r4^2 + I4 /r4^2 + m5;

% Initial conditions
omega_ini = 150;
dx50 = 0; % initial speed of cabine
u = 19;
F5 = -1890;
%-----------------

M1 = 1;
M4 = 1;